VariableSpecifications (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class VariableSpecifications

- java.lang.Object
- - org.apache.cassandra.cql3.VariableSpecifications

-     public class VariableSpecifications
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableSpecifications(java.util.List<ColumnIdentifier> variableNames)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int bindIndex, ColumnSpecification spec)`
    `static VariableSpecifications` | `empty()` Returns an empty instance of `VariableSpecifications`.
    `short[]` | `getPartitionKeyBindIndexes(CFMetaData cfm)` Returns an array with the same length as the number of partition key columns for the table corresponding to cfm.
    `java.util.List<ColumnSpecification>` | `getSpecifications()`
    `int` | `size()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableSpecifications

          public VariableSpecifications(java.util.List<ColumnIdentifier> variableNames)

  - ### Method Detail

    - #### empty

          public static VariableSpecifications empty()

      Returns an empty instance of `VariableSpecifications`.
      Returns:
        an empty instance of `VariableSpecifications`

    - #### size

          public int size()

    - #### getSpecifications

          public java.util.List<ColumnSpecification> getSpecifications()

    - #### getPartitionKeyBindIndexes

          public short[] getPartitionKeyBindIndexes(CFMetaData cfm)

      Returns an array with the same length as the number of partition key columns for the table corresponding to cfm. Each short in the array represents the bind index of the marker that holds the value for that partition key column. If there are no bind markers for any of the partition key columns, null is returned. Callers of this method should ensure that all statements operate on the same table.

    - #### add

          public void add(int bindIndex,
                          ColumnSpecification spec)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation